Subject: [PATCH] gnu: iverilog: Add zlib dependency for LXT format support
From: Christian Gelinek <[email-masked]>
To: [email-masked]
Date: Thu, 31 Mar 2022 15:39:10 +1030
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Guix,

I noticed that the iverilog package didn't have support for the LXT 
dumpfile format due to missing zlib dependency, which I'm trying to fix.

This is my first patch, so please let me know if there's anything I 
should improve.

Thanks, Christian
From a4191d76a64618589d83c678ec804dca37579801 Mon Sep 17 00:00:00 2001
From: Christian Gelinek <[email-masked]>
Date: Thu, 31 Mar 2022 15:19:38 +1030
Subject: [PATCH] gnu: iverilog: Add zlib dependency for LXT dump file format
 support.

* gnu/packages/fpga.scm (iverilog)[native-inputs]: Add zlib.
---
 gnu/packages/fpga.scm | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/fpga.scm b/gnu/packages/fpga.scm
index 3b2938aff0..b8f98ca63e 100644
--- a/gnu/packages/fpga.scm
+++ b/gnu/packages/fpga.scm
@@ -5,6 +5,7 @@
 ;;; Copyright © 2019 Amin Bandali <[email-masked]>
 ;;; Copyright © 2020 Vinicius Monego <[email-masked]>
 ;;; Copyright © 2021 Andrew Miloradovsky <[email-masked]>
+;;; Copyright © 2022 Christian Gelinek <[email-masked]>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -111,7 +112,7 @@ (define-public iverilog
     (arguments
      `(#:make-flags (list (string-append "CC=" ,(cc-for-target)))))
     (native-inputs
-     (list flex bison ghostscript))   ; ps2pdf
+     (list flex bison ghostscript zlib))   ; ps2pdf
     (home-page "http://iverilog.icarus.com/")
     (synopsis "FPGA Verilog simulation and synthesis tool")
     (description "Icarus Verilog is a Verilog simulation and synthesis tool.
-- 
2.34.0